﻿using GrapeCity.ActiveReports;
using GrapeCity.ActiveReports.Export.Pdf;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace PDFExportFilterSectionReport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport pdfExport = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
            SectionReport report = new SectionReport();
            report.LoadLayout(XmlReader.Create(@"C:\Users\ptwra\source\repos\Exporting PDF RDL Report\Exporting PDF RDL Report\sectionReport.rpx"));

            viewer1.LoadDocument(report);
        }

        private void ExportButton_Click(object sender, EventArgs e)
        {
            GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport pdfExport = new GrapeCity.ActiveReports.Export.Pdf.Section.PdfExport();
            SectionReport report = new SectionReport();
            report.LoadLayout(XmlReader.Create(@"C:\Users\ptwra\source\repos\Exporting PDF RDL Report\Exporting PDF RDL Report\sectionReport.rpx"));

            report.Run();
            // Add meta data
            var metadata1 = new AdditionalMetadataInfo
            {
                Namespace = AdditionalMetadataNamespace.PurlOrg, //Dublin Core Properties
                Key = "title",
                Value = "Invoice"
            };

            pdfExport.Options.AdditionalMetadata.Add(metadata1);
            pdfExport.Security.Encrypt = false;
            try
            {
                pdfExport.Export(report.Document, Application.StartupPath + "\\..\\..\\Exports\\MyPDF.pdf");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
